Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh2
Class SSH2

    java.lang.Object
      com.mindbright.ssh2.SSH2

public abstract class SSH2
extends java.lang.Object

Contains basic protocol constants and some identification strings.

Field Summary
`static int` | `DEBUG_DEBUG`
`static int` | `DEBUG_DISPLAY`
`static int` | `DISCONNECT_AUTH_CANCELLED_BY_USER`
`static int` | `DISCONNECT_BY_APPLICATION`
`static int` | `DISCONNECT_COMPRESSION_ERROR`
`static int` | `DISCONNECT_CONNECTION_LOST`
`static int` | `DISCONNECT_HOST_KEY_NOT_VERIFIABLE`
`static int` | `DISCONNECT_HOST_NOT_ALLOWED_TO_CONNECT`
`static int` | `DISCONNECT_ILLEGAL_USER_NAME`
`static int` | `DISCONNECT_KEY_EXCHANGE_FAILED`
`static int` | `DISCONNECT_MAC_ERROR`
`static int` | `DISCONNECT_NO_MORE_AUTH_METHODS_AVAILABLE`
`static int` | `DISCONNECT_PROTOCOL_ERROR`
`static int` | `DISCONNECT_PROTOCOL_VERSION_NOT_SUPPORTED`
`static int` | `DISCONNECT_RESERVED`
`static int` | `DISCONNECT_SERVICE_NOT_AVAILABLE`
`static int` | `DISCONNECT_TOO_MANY_CONNECTIONS`
`static int` | `EXTENDED_DATA_STDERR`
`static int` | `FIRST_KEX_PACKET`
`static int` | `FIRST_SERVICE_PACKET`
`static int` | `FIRST_USERAUTH_METHOD_PACKET`
`static int` | `LAST_KEX_PACKET`
`static int` | `LAST_USERAUTH_METHOD_PACKET`
`static int` | `MAX_PAYLOAD_LENGTH`
`static int` | `MSG_CHANNEL_CLOSE`
`static int` | `MSG_CHANNEL_DATA`
`static int` | `MSG_CHANNEL_EOF`
`static int` | `MSG_CHANNEL_EXTENDED_DATA`
`static int` | `MSG_CHANNEL_FAILURE`
`static int` | `MSG_CHANNEL_OPEN`
`static int` | `MSG_CHANNEL_OPEN_CONFIRMATION`
`static int` | `MSG_CHANNEL_OPEN_FAILURE`
`static int` | `MSG_CHANNEL_REQUEST`
`static int` | `MSG_CHANNEL_SUCCESS`
`static int` | `MSG_CHANNEL_WINDOW_ADJUST`
`static int` | `MSG_DEBUG`
`static int` | `MSG_DISCONNECT`
`static int` | `MSG_GLOBAL_REQUEST`
`static int` | `MSG_IGNORE`
`static int` | `MSG_KEXDH_GEX_GROUP`
`static int` | `MSG_KEXDH_GEX_INIT`
`static int` | `MSG_KEXDH_GEX_REPLY`
`static int` | `MSG_KEXDH_GEX_REQUEST`
`static int` | `MSG_KEXDH_GEX_REQUEST_OLD`
`static int` | `MSG_KEXDH_INIT`
`static int` | `MSG_KEXDH_REPLY`
`static int` | `MSG_KEXINIT`
`static int` | `MSG_NEWKEYS`
`static int` | `MSG_REQUEST_FAILURE`
`static int` | `MSG_REQUEST_SUCCESS`
`static int` | `MSG_RESERVED`
`static int` | `MSG_SERVICE_ACCEPT`
`static int` | `MSG_SERVICE_REQUEST`
`static int` | `MSG_UNIMPLEMENTED`
`static int` | `MSG_USERAUTH_BANNER`
`static int` | `MSG_USERAUTH_CHALLENGE`
`static int` | `MSG_USERAUTH_FAILURE`
`static int` | `MSG_USERAUTH_INFO_REQUEST`
`static int` | `MSG_USERAUTH_INFO_RESPONSE`
`static int` | `MSG_USERAUTH_PASSWD_CHANGEREQ`
`static int` | `MSG_USERAUTH_PK_OK`
`static int` | `MSG_USERAUTH_REQUEST`
`static int` | `MSG_USERAUTH_SECURID_CHALLENGE`
`static int` | `MSG_USERAUTH_SECURID_NEW_PIN_REQD`
`static int` | `MSG_USERAUTH_SUCCESS`
`static int` | `OPEN_ADMINISTRATIVELY_PROHIBITED`
`static int` | `OPEN_CONNECT_FAILED`
`static int` | `OPEN_OK`
`static int` | `OPEN_RESOURCE_SHORTAGE`
`static int` | `OPEN_UNKNOWN_CHANNEL_TYPE`
`static java.lang.String` | `PKG_NAME`
`static int` | `PKG_VER_MAJOR`
`static int` | `PKG_VER_MINOR`
`static int` | `SSH_SECURID_CANNOT_CHOOSE_PIN`
`static int` | `SSH_SECURID_MUST_CHOOSE_PIN`
`static int` | `SSH_SECURID_USER_SELECTABLE_PIN`
`static int` | `SSH_VER_MAJOR`
`static int` | `SSH_VER_MINOR`

Constructor Summary
`SSH2()`

Method Summary
`static java.lang.String` | `getPackageVersion(java.lang.String pkgName, int pkgMajor, int pkgMinor, java.lang.String comment)`
`static java.lang.String` | `getVersionId()`
`static java.lang.String` | `getVersionId(java.lang.String pkgVersion)`
`static java.lang.String` | `msgTypeString(int msgType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SSH_VER_MAJOR

    public static final int SSH_VER_MAJOR

See Also:
  Constant Field Values

### SSH_VER_MINOR

    public static final int SSH_VER_MINOR

See Also:
  Constant Field Values

### PKG_VER_MAJOR

    public static final int PKG_VER_MAJOR

See Also:
  Constant Field Values

### PKG_VER_MINOR

    public static final int PKG_VER_MINOR

See Also:
  Constant Field Values

### PKG_NAME

    public static final java.lang.String PKG_NAME

See Also:
  Constant Field Values

### MAX_PAYLOAD_LENGTH

    public static final int MAX_PAYLOAD_LENGTH

See Also:
  Constant Field Values

### MSG_DISCONNECT

    public static final int MSG_DISCONNECT

See Also:
  Constant Field Values

### MSG_IGNORE

    public static final int MSG_IGNORE

See Also:
  Constant Field Values

### MSG_UNIMPLEMENTED

    public static final int MSG_UNIMPLEMENTED

See Also:
  Constant Field Values

### MSG_DEBUG

    public static final int MSG_DEBUG

See Also:
  Constant Field Values

### MSG_SERVICE_REQUEST

    public static final int MSG_SERVICE_REQUEST

See Also:
  Constant Field Values

### MSG_SERVICE_ACCEPT

    public static final int MSG_SERVICE_ACCEPT

See Also:
  Constant Field Values

### MSG_KEXINIT

    public static final int MSG_KEXINIT

See Also:
  Constant Field Values

### MSG_NEWKEYS

    public static final int MSG_NEWKEYS

See Also:
  Constant Field Values

### FIRST_KEX_PACKET

    public static final int FIRST_KEX_PACKET

See Also:
  Constant Field Values

### MSG_KEXDH_INIT

    public static final int MSG_KEXDH_INIT

See Also:
  Constant Field Values

### MSG_KEXDH_REPLY

    public static final int MSG_KEXDH_REPLY

See Also:
  Constant Field Values

### MSG_KEXDH_GEX_REQUEST_OLD

    public static final int MSG_KEXDH_GEX_REQUEST_OLD

See Also:
  Constant Field Values

### MSG_KEXDH_GEX_REQUEST

    public static final int MSG_KEXDH_GEX_REQUEST

See Also:
  Constant Field Values

### MSG_KEXDH_GEX_GROUP

    public static final int MSG_KEXDH_GEX_GROUP

See Also:
  Constant Field Values

### MSG_KEXDH_GEX_INIT

    public static final int MSG_KEXDH_GEX_INIT

See Also:
  Constant Field Values

### MSG_KEXDH_GEX_REPLY

    public static final int MSG_KEXDH_GEX_REPLY

See Also:
  Constant Field Values

### LAST_KEX_PACKET

    public static final int LAST_KEX_PACKET

See Also:
  Constant Field Values

### FIRST_SERVICE_PACKET

    public static final int FIRST_SERVICE_PACKET

See Also:
  Constant Field Values

### MSG_USERAUTH_REQUEST

    public static final int MSG_USERAUTH_REQUEST

See Also:
  Constant Field Values

### MSG_USERAUTH_FAILURE

    public static final int MSG_USERAUTH_FAILURE

See Also:
  Constant Field Values

### MSG_USERAUTH_SUCCESS

    public static final int MSG_USERAUTH_SUCCESS

See Also:
  Constant Field Values

### MSG_USERAUTH_BANNER

    public static final int MSG_USERAUTH_BANNER

See Also:
  Constant Field Values

### FIRST_USERAUTH_METHOD_PACKET

    public static final int FIRST_USERAUTH_METHOD_PACKET

See Also:
  Constant Field Values

### LAST_USERAUTH_METHOD_PACKET

    public static final int LAST_USERAUTH_METHOD_PACKET

See Also:
  Constant Field Values

### MSG_USERAUTH_PASSWD_CHANGEREQ

    public static final int MSG_USERAUTH_PASSWD_CHANGEREQ

See Also:
  Constant Field Values

### MSG_USERAUTH_CHALLENGE

    public static final int MSG_USERAUTH_CHALLENGE

See Also:
  Constant Field Values

### MSG_USERAUTH_SECURID_CHALLENGE

    public static final int MSG_USERAUTH_SECURID_CHALLENGE

See Also:
  Constant Field Values

### MSG_USERAUTH_SECURID_NEW_PIN_REQD

    public static final int MSG_USERAUTH_SECURID_NEW_PIN_REQD

See Also:
  Constant Field Values

### SSH_SECURID_CANNOT_CHOOSE_PIN

    public static final int SSH_SECURID_CANNOT_CHOOSE_PIN

See Also:
  Constant Field Values

### SSH_SECURID_MUST_CHOOSE_PIN

    public static final int SSH_SECURID_MUST_CHOOSE_PIN

See Also:
  Constant Field Values

### SSH_SECURID_USER_SELECTABLE_PIN

    public static final int SSH_SECURID_USER_SELECTABLE_PIN

See Also:
  Constant Field Values

### MSG_USERAUTH_PK_OK

    public static final int MSG_USERAUTH_PK_OK

See Also:
  Constant Field Values

### MSG_USERAUTH_INFO_REQUEST

    public static final int MSG_USERAUTH_INFO_REQUEST

See Also:
  Constant Field Values

### MSG_USERAUTH_INFO_RESPONSE

    public static final int MSG_USERAUTH_INFO_RESPONSE

See Also:
  Constant Field Values

### MSG_GLOBAL_REQUEST

    public static final int MSG_GLOBAL_REQUEST

See Also:
  Constant Field Values

### MSG_REQUEST_SUCCESS

    public static final int MSG_REQUEST_SUCCESS

See Also:
  Constant Field Values

### MSG_REQUEST_FAILURE

    public static final int MSG_REQUEST_FAILURE

See Also:
  Constant Field Values

### MSG_CHANNEL_OPEN

    public static final int MSG_CHANNEL_OPEN

See Also:
  Constant Field Values

### MSG_CHANNEL_OPEN_CONFIRMATION

    public static final int MSG_CHANNEL_OPEN_CONFIRMATION

See Also:
  Constant Field Values

### MSG_CHANNEL_OPEN_FAILURE

    public static final int MSG_CHANNEL_OPEN_FAILURE

See Also:
  Constant Field Values

### MSG_CHANNEL_WINDOW_ADJUST

    public static final int MSG_CHANNEL_WINDOW_ADJUST

See Also:
  Constant Field Values

### MSG_CHANNEL_DATA

    public static final int MSG_CHANNEL_DATA

See Also:
  Constant Field Values

### MSG_CHANNEL_EXTENDED_DATA

    public static final int MSG_CHANNEL_EXTENDED_DATA

See Also:
  Constant Field Values

### MSG_CHANNEL_EOF

    public static final int MSG_CHANNEL_EOF

See Also:
  Constant Field Values

### MSG_CHANNEL_CLOSE

    public static final int MSG_CHANNEL_CLOSE

See Also:
  Constant Field Values

### MSG_CHANNEL_REQUEST

    public static final int MSG_CHANNEL_REQUEST

See Also:
  Constant Field Values

### MSG_CHANNEL_SUCCESS

    public static final int MSG_CHANNEL_SUCCESS

See Also:
  Constant Field Values

### MSG_CHANNEL_FAILURE

    public static final int MSG_CHANNEL_FAILURE

See Also:
  Constant Field Values

### MSG_RESERVED

    public static final int MSG_RESERVED

See Also:
  Constant Field Values

### DEBUG_DEBUG

    public static final int DEBUG_DEBUG

See Also:
  Constant Field Values

### DEBUG_DISPLAY

    public static final int DEBUG_DISPLAY

See Also:
  Constant Field Values

### DISCONNECT_HOST_NOT_ALLOWED_TO_CONNECT

    public static final int DISCONNECT_HOST_NOT_ALLOWED_TO_CONNECT

See Also:
  Constant Field Values

### DISCONNECT_PROTOCOL_ERROR

    public static final int DISCONNECT_PROTOCOL_ERROR

See Also:
  Constant Field Values

### DISCONNECT_KEY_EXCHANGE_FAILED

    public static final int DISCONNECT_KEY_EXCHANGE_FAILED

See Also:
  Constant Field Values

### DISCONNECT_RESERVED

    public static final int DISCONNECT_RESERVED

See Also:
  Constant Field Values

### DISCONNECT_MAC_ERROR

    public static final int DISCONNECT_MAC_ERROR

See Also:
  Constant Field Values

### DISCONNECT_COMPRESSION_ERROR

    public static final int DISCONNECT_COMPRESSION_ERROR

See Also:
  Constant Field Values

### DISCONNECT_SERVICE_NOT_AVAILABLE

    public static final int DISCONNECT_SERVICE_NOT_AVAILABLE

See Also:
  Constant Field Values

### DISCONNECT_PROTOCOL_VERSION_NOT_SUPPORTED

    public static final int DISCONNECT_PROTOCOL_VERSION_NOT_SUPPORTED

See Also:
  Constant Field Values

### DISCONNECT_HOST_KEY_NOT_VERIFIABLE

    public static final int DISCONNECT_HOST_KEY_NOT_VERIFIABLE

See Also:
  Constant Field Values

### DISCONNECT_CONNECTION_LOST

    public static final int DISCONNECT_CONNECTION_LOST

See Also:
  Constant Field Values

### DISCONNECT_BY_APPLICATION

    public static final int DISCONNECT_BY_APPLICATION

See Also:
  Constant Field Values

### DISCONNECT_TOO_MANY_CONNECTIONS

    public static final int DISCONNECT_TOO_MANY_CONNECTIONS

See Also:
  Constant Field Values

### DISCONNECT_AUTH_CANCELLED_BY_USER

    public static final int DISCONNECT_AUTH_CANCELLED_BY_USER

See Also:
  Constant Field Values

### DISCONNECT_NO_MORE_AUTH_METHODS_AVAILABLE

    public static final int DISCONNECT_NO_MORE_AUTH_METHODS_AVAILABLE

See Also:
  Constant Field Values

### DISCONNECT_ILLEGAL_USER_NAME

    public static final int DISCONNECT_ILLEGAL_USER_NAME

See Also:
  Constant Field Values

### EXTENDED_DATA_STDERR

    public static final int EXTENDED_DATA_STDERR

See Also:
  Constant Field Values

### OPEN_OK

    public static final int OPEN_OK

See Also:
  Constant Field Values

### OPEN_ADMINISTRATIVELY_PROHIBITED

    public static final int OPEN_ADMINISTRATIVELY_PROHIBITED

See Also:
  Constant Field Values

### OPEN_CONNECT_FAILED

    public static final int OPEN_CONNECT_FAILED

See Also:
  Constant Field Values

### OPEN_UNKNOWN_CHANNEL_TYPE

    public static final int OPEN_UNKNOWN_CHANNEL_TYPE

See Also:
  Constant Field Values

### OPEN_RESOURCE_SHORTAGE

    public static final int OPEN_RESOURCE_SHORTAGE

See Also:
  Constant Field Values

Constructor Detail

### SSH2

    public SSH2()

Method Detail

### getPackageVersion

    public static final java.lang.String getPackageVersion(java.lang.String pkgName,
                                                           int pkgMajor,
                                                           int pkgMinor,
                                                           java.lang.String comment)

### getVersionId

    public static final java.lang.String getVersionId()

### getVersionId

    public static final java.lang.String getVersionId(java.lang.String pkgVersion)

### msgTypeString

    public static final java.lang.String msgTypeString(int msgType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD